Bug 73390 - Port upgrade: games/asc to 1.15.1
Summary: Port upgrade: games/asc to 1.15.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-01 19:40 UTC by Heiner
Modified: 2004-11-14 16:57 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner 2004-11-01 19:40:23 UTC
Upgrade to 1.15.1

Note, that the patch is necessary at least on FreeBSD 4.10 (gcc 2.95.4)

Fix: see attached diff


--Boundary-00=_I8ohB7V7SjY+eqw
Content-Type: text/x-diff;
  charset="iso-8859-1";
  name="asc.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="asc.diff"



--Boundary-00=_I8ohB7V7SjY+eqw----JtqG5KlgzsHncg09rWEbQOrPxUyGfHdCFHAqSQuLVeLjsuU9
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -urN ../../games/asc/Makefile ./Makefile
--- ../../games/asc/Makefile	Sat Oct 30 08:51:29 2004
+++ ./Makefile	Sat Oct 30 20:52:31 2004
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	asc
-PORTVERSION=	1.15.0.0
+PORTVERSION=	1.15.1.0
 CATEGORIES=	games
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	asc-hq
diff -urN ../../games/asc/distinfo ./distinfo
--- ../../games/asc/distinfo	Thu Oct 14 08:22:26 2004
+++ ./distinfo	Sat Oct 30 20:56:13 2004
@@ -1,5 +1,5 @@
-MD5 (asc-source-1.15.0.0.tar.gz) = eaa126cc0cf3ad202684e685c924e48c
-SIZE (asc-source-1.15.0.0.tar.gz) = 7899474
+MD5 (asc-source-1.15.1.0.tar.gz) = 71f175a514830dc060b20724af4205ac
+SIZE (asc-source-1.15.1.0.tar.gz) = 7914614
 MD5 (frontiers.mp3) = 560f5783836b309906e57e77417f3864
 SIZE (frontiers.mp3) = 4407769
 MD5 (time_to_strike.mp3) = f0ab3c633f51430af0445ecaa02e3197
diff -urN ../../games/asc/files/patch-tools-groupfile.cpp ./files/patch-tools-groupfile.cpp
--- ../../games/asc/files/patch-tools-groupfile.cpp	Thu Jan  1 01:00:00 1970
+++ ./files/patch-tools-groupfile.cpp	Sat Oct 30 21:15:22 2004
@@ -0,0 +1,10 @@
+--- source/tools/groupfile.cpp.orig	Sat Oct 30 21:00:02 2004
++++ source/tools/groupfile.cpp	Sat Oct 30 21:14:57 2004
+@@ -15,6 +15,7 @@
+  *                                                                         *
+  ***************************************************************************/
+ #include "groupfile.h"
++#include <algorithm>
+ 
+ 
+ bool lessCat(AbstractEntry const * a, AbstractEntry const * b) {
Comment 1 Pav Lucistnik freebsd_committer 2004-11-02 18:13:48 UTC
Dear maintainer of FreeBSD port games/asc, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=73390

Do you approve this update?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Every man is as God made him, ay, and often worse.
  -- Miguel de Cervantes
Comment 2 Pav Lucistnik freebsd_committer 2004-11-02 18:13:51 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval. 


Comment 3 Pav Lucistnik freebsd_committer 2004-11-02 18:13:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle.
Comment 4 Pav Lucistnik freebsd_committer 2004-11-14 16:57:13 UTC
State Changed
From-To: feedback->closed

Committed, thanks!